package de.ivu.elect.presentation.ergebnis.table;

import java.math.BigDecimal;
import java.util.function.Function;

import de.ivu.elect.business.ergebnis.entity.ParteienwechselSearchResult;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

/**
 *  on 26.10.2015.
 */
public class ParteienwechselStimmenanteilColumn extends AbstractParteienwechselColumn {

  private final Function<ParteienwechselSearchResult, BigDecimal> anteilFunction;

  public ParteienwechselStimmenanteilColumn(Messages messages, Function<ParteienwechselSearchResult, BigDecimal> anteilFunction) {
    super(messages);
    this.anteilFunction = anteilFunction;
  }

  @Override
  public Object getValue(ParteienwechselSearchResult result) {
    return anteilFunction.apply(result);
  }

  @Override
  public String getHeader() {
    return getMessage("parteienwechsel.header.anteil");
  }

  @Override
  public ColumnType getType() {
    return ColumnType.DECIMAL_ONE_FRACTION_DIGIT;
  }
}

